Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/html/lib/fu/source/minify/minify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'html/lib/fu/source/minify/minify.sh')
-rw-r--r--html/lib/fu/source/minify/minify.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/html/lib/fu/source/minify/minify.sh b/html/lib/fu/source/minify/minify.sh
new file mode 100644
index 0000000..a8087ee
--- /dev/null
+++ b/html/lib/fu/source/minify/minify.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+ENYO=../../../enyo
+MINIFY=$ENYO/tools/minifier/minify.js
+
+if command -v node >/dev/null 2>&1
+then
+ node $MINIFY ./package.js -enyo $ENYO -output fu
+ mv fu.css ../build
+else
+ echo "No node executable found!"
+ exit 1
+fi